pcl::recognition::ORROctreeZProjection Class Reference

`#include <pcl/recognition/ransac_based/orr_octree_zprojection.h>`

## Classes

class | Pixel
class | Set

## Public Member Functions

| ORROctreeZProjection ()
virtual | ~ORROctreeZProjection ()
void | build (const ORROctree &input, float eps_front, float eps_back)
void | clear ()
void | getPixelCoordinates (const float *p, int &x, int &y) const
const Pixel * | getPixel (const float *p) const
Pixel * | getPixel (const float *p)
const std::set< ORROctree::Node *, bool(*)(ORROctree::Node *, ORROctree::Node *)> * | getOctreeNodes (const float *p) const
std::list< Pixel * > & | getFullPixels ()
const Pixel * | getPixel (int i, int j) const
float | getPixelSize () const
const float * | getBounds () const
void | getNumberOfPixels (int &num_x, int &num_y) const
| Get the width ('num_x') and height ('num_y') of the image. More...

## Protected Attributes

float | pixel_size_
float | inv_pixel_size_
float | bounds_ [4]
float | extent_x_
float | extent_y_
int | num_pixels_x_
int | num_pixels_y_
int | num_pixels_
Pixel *** | pixels_
Set *** | sets_
std::list< Set * > | full_sets_
std::list< Pixel * > | full_pixels_

## Detailed Description

Definition at line 60 of file orr_octree_zprojection.h.

## Constructor & Destructor Documentation

## ORROctreeZProjection()

pcl::recognition::ORROctreeZProjection::ORROctreeZProjection | ( |  | ) |

inline

Definition at line 120 of file orr_octree_zprojection.h.

## ~ORROctreeZProjection()

virtual pcl::recognition::ORROctreeZProjection::~ORROctreeZProjection | ( |  | ) |

inline virtual

Definition at line 124 of file orr_octree_zprojection.h.

## Member Function Documentation

## build()

void pcl::recognition::ORROctreeZProjection::build | ( | const ORROctree & | input,
|  | float | eps_front,
|  | float | eps_back
| ) |  |

## clear()

void pcl::recognition::ORROctreeZProjection::clear | ( |  | ) |

## getBounds()

const float* pcl::recognition::ORROctreeZProjection::getBounds | ( |  | ) | const

inline

Definition at line 191 of file orr_octree_zprojection.h.

## getFullPixels()

std::list<Pixel*>& pcl::recognition::ORROctreeZProjection::getFullPixels | ( |  | ) |

inline

Definition at line 176 of file orr_octree_zprojection.h.

## getNumberOfPixels()

void pcl::recognition::ORROctreeZProjection::getNumberOfPixels | ( | int & | num_x,
|  | int & | num_y
| ) |  | const

inline

Get the width ('num_x') and height ('num_y') of the image.

Definition at line 198 of file orr_octree_zprojection.h.

## getOctreeNodes()

const std::set<ORROctree::Node*, bool(*)(ORROctree::Node*,ORROctree::Node*)>* pcl::recognition::ORROctreeZProjection::getOctreeNodes | ( | const float * | p | ) | const

inline

Definition at line 162 of file orr_octree_zprojection.h.

## getPixel() [1/3]

const Pixel* pcl::recognition::ORROctreeZProjection::getPixel | ( | const float * | p | ) | const

inline

Definition at line 140 of file orr_octree_zprojection.h.

## getPixel() [2/3]

Pixel* pcl::recognition::ORROctreeZProjection::getPixel | ( | const float * | p | ) |

inline

Definition at line 151 of file orr_octree_zprojection.h.

## getPixel() [3/3]

const Pixel* pcl::recognition::ORROctreeZProjection::getPixel | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 179 of file orr_octree_zprojection.h.

## getPixelCoordinates()

void pcl::recognition::ORROctreeZProjection::getPixelCoordinates | ( | const float * | p,
|  | int & | x,
|  | int & | y
| ) |  | const

inline

Definition at line 133 of file orr_octree_zprojection.h.

## getPixelSize()

float pcl::recognition::ORROctreeZProjection::getPixelSize | ( |  | ) | const

inline

Definition at line 185 of file orr_octree_zprojection.h.

## Member Data Documentation

## bounds_

float pcl::recognition::ORROctreeZProjection::bounds_[4]

protected

Definition at line 205 of file orr_octree_zprojection.h.

## extent_x_

float pcl::recognition::ORROctreeZProjection::extent_x_

protected

Definition at line 205 of file orr_octree_zprojection.h.

## extent_y_

float pcl::recognition::ORROctreeZProjection::extent_y_

protected

Definition at line 205 of file orr_octree_zprojection.h.

## full_pixels_

std::list<Pixel*> pcl::recognition::ORROctreeZProjection::full_pixels_

protected

Definition at line 210 of file orr_octree_zprojection.h.

## full_sets_

std::list<Set*> pcl::recognition::ORROctreeZProjection::full_sets_

protected

Definition at line 209 of file orr_octree_zprojection.h.

## inv_pixel_size_

float pcl::recognition::ORROctreeZProjection::inv_pixel_size_

protected

Definition at line 205 of file orr_octree_zprojection.h.

## num_pixels_

int pcl::recognition::ORROctreeZProjection::num_pixels_

protected

Definition at line 206 of file orr_octree_zprojection.h.

## num_pixels_x_

int pcl::recognition::ORROctreeZProjection::num_pixels_x_

protected

Definition at line 206 of file orr_octree_zprojection.h.

## num_pixels_y_

int pcl::recognition::ORROctreeZProjection::num_pixels_y_

protected

Definition at line 206 of file orr_octree_zprojection.h.

## pixel_size_

float pcl::recognition::ORROctreeZProjection::pixel_size_

protected

Definition at line 205 of file orr_octree_zprojection.h.

## pixels_

Pixel*** pcl::recognition::ORROctreeZProjection::pixels_

protected

Definition at line 207 of file orr_octree_zprojection.h.

## sets_

Set*** pcl::recognition::ORROctreeZProjection::sets_

protected

Definition at line 208 of file orr_octree_zprojection.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/ransac_based/orr_octree_zprojection.h